"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8ca0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8d30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8dc0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8e50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8ee0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1136d8f70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd0d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd1f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd280>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd310>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd3a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd430>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd4c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd550>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd5e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd670>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd790>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd820>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd8b0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1136dd9d0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddaf0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1136dda60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddb80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddc10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddca0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddd30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1136dddc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1136dde50>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddee0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1136ddf70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1136e10d0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1136e11f0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1136e13a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1136e14c0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1136e15e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1136e18b0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1136e19d0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1a60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1af0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1c10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1ca0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1d30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1dc0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1e50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1ee0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1136e1f70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1136e50d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1136e51f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1136e53a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1136e54c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1136e55e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1136e58b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1136e59d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5a60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5af0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5b80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5c10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5ca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1136e5d30>)]
name: str = 'fr_HOCCN'
